Bug 120410 - Disabled floppy control caused hardware detection to display error message
Summary: Disabled floppy control caused hardware detection to display error message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 15:05 UTC by Albert Strasheim
Modified: 2014-03-17 02:44 UTC (History)
2 users (show)

Fixed In Version: 1.1.59-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 20:49:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert Strasheim 2004-04-08 15:05:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Insertion of the floppy module by Kudzu during hardware detection at
bootup fails if the floppy controller is disabled in the BIOS. The
following error message is displayed:

FATAL: error insert floppy
(/lib/modules/2.6.4-1.305smp/kernel/drivers/block/floppy.ko): No such
device

Version-Release number of selected component (if applicable):
kudzu-1.1.54-1

How reproducible:
Always

Steps to Reproduce:
1. Disable floppy controller in BIOS
2. Boot FC2 test2
    

Actual Results:  An error message is displayed when Kudzu tries to
detect a disabled floppy

Expected Results:  Kudzu should detect the absence of a floppy and an
error message should not be displayed

Additional info:

The following lines appear in dmesg:

inserting floppy driver for 2.6.4-1.305smp
floppy0: no floppy controllers found

Comment 1 Bill Nottingham 2004-04-08 16:29:22 UTC
There's no way to detect the absence of a FDC aside from loading the
module. The only way to get rid of the message is to build the module
into the kernel.

Comment 2 Albert Strasheim 2004-04-08 19:38:55 UTC
Wouldn't it be possible to still try to insert the module, but prevent
the kernel from displayed the error message?

Comment 3 Alan Cox 2004-05-03 12:49:13 UTC
The kernel only displays informational data - the dmesg lines, the
FATAL and warnings come from anaconda and the module tools. Personally
- I agree the installer should hide them 


Comment 4 Bill Nottingham 2004-05-03 20:49:38 UTC
Will be fixed in 1.1.59-1.


Note You need to log in before you can comment on or make changes to this bug.